> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udspeeddial.md).

# New-UDSpeedDial

New-UDSpeedDial crea un botón de acción flotante en PowerShell Universal que se expande en tres a seis elementos de acción rápida relacionados.

### Sinopsis

Al pulsarlo, un botón de acción flotante puede mostrar de tres a seis acciones relacionadas en forma de Speed Dial.

### Sintaxis

```powershell
New-UDSpeedDial [[-Id] <String>] [[-Children] <ScriptBlock>] [[-Direction] <String>] [[-Icon] <Hashtable>] [[-OnClose] <Endpoint>] [[-OnOpen] <Endpoint>] [[-OnActionClick] <Endpoint>] [<CommonParameters>]
```

### Descripción

Al pulsarlo, un botón de acción flotante puede mostrar de tres a seis acciones relacionadas en forma de Speed Dial.

### Parámetros

#### -Id

El ID de este componente. Su valor predeterminado es un GUID aleatorio.

```
Required?                    false
Position?                    1
Default value                ([Guid]::NewGuid().ToString())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Children

Acciones para este Speed Dial. Utilice New-UDSpeedDialAction para crear acciones.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Direction

La dirección en la que se abre el Speed Dial. Los valores válidos son up, down, left y right.

```
Required?                    false
Position?                    3
Default value                up
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon

El icono del Speed Dial. Utilice New-UDIcon para crear un Icon.

```
Required?                    false
Position?                    4
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnClose

Un bloque de script que se llama cuando se cierra el Speed Dial.

```
Required?                    false
Position?                    5
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnOpen

Un bloque de script que se llama cuando se abre el Speed Dial.

```
Required?                    false
Position?                    6
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnActionClick

Un bloque de script que se llama cuando se hace clic en una acción.

```
Required?                    false
Position?                    7
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Parámetros comunes

Este cmdlet admite los parámetros comunes: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable y OutVariable. Para obtener más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Salidas

### Ejemplos

#### Ejemplo 1: Speed Dial básico

```powershell
New-UDSpeedDial -Content {
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'User') -TooltipTitle 'My Account'
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'Users') -TooltipTitle 'Groups'
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'Save') -TooltipTitle 'Save'
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'File') -TooltipTitle 'Open'
} -Icon (New-UDIcon -Icon 'Plus') -Id 'speedDial1'
```

Crea un Speed Dial básico.

#### Ejemplo 2: OnClick

```powershell
New-UDSpeedDial -Content {
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'User') -TooltipTitle 'My Account' -Id 'myAccount'
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'Users') -TooltipTitle 'Groups'
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'Save') -TooltipTitle 'Save'
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'File') -TooltipTitle 'Open'
} -Icon (New-UDIcon -Icon 'Plus') -Id 'speedDial2' -OnActionClick {
   Show-UDToast "Ouch! You clicked $EventData"
}
```

Crea un Speed Dial con una acción OnClick.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udspeeddial.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
